Delete a project

Delete a project and all of its documents, agents, and extraction results. Returns 204 on success. Returns 404 if the project does not exist.

On this page

HTTP request

DELETE https://api.parsewise.ai/api/v1/projects/{id}/

URI Parameters

Name In Required Type Description
id path Yes string (uuid)  

Request Header

Name Required Type Description
X-API-Key Yes string API key with the pw_live_ prefix. See Authentication.

Responses

Status Type Description
204 No response body

Security

  • ApiKeyAuth — apiKey — in X-API-Key header. API key with pw_live_ prefix.

Python example

import os
import requests

API_KEY = os.environ["PARSEWISE_API_KEY"]
BASE_URL = "https://api.parsewise.ai/api/v1"

id = "<uuid>"

resp = requests.delete(
    f"{BASE_URL}/projects/{id}/",
    headers={"X-API-Key": API_KEY},
)
resp.raise_for_status()
print(resp.status_code)  # DELETE returns no body